Summary: Simple program that wraps normal socket connections with SSL/TLS
Name: sslwrap
Version: 2.0.2
Release: 1
Copyright: Free
URL: http://www.rickk.com/sslwrap/
Group: Applications/Networking
Source0: http://www.rickk.com/sslwrap/sslwrap.tar.gz
Patch0: sslwrap202-ssleayloc.patch
Requires: SSLeay >= 0.8.1
#Provides: webclient
%define VER 202
Buildroot: /var/tmp/sslwrap-root
#Summary(de): Text-Browser fr das WWW 
#Summary(fr): Navigateur en mode texte pour le world wide web
#Summary(tr): Metin ekranda WWW tarayc

%description
sslwrap is a simple Unix service that sits over any simple TCP service such
as POP3, IMAP, SMTP, and encrypts all of the data on the connection using
TLS/SSL. It uses ssleay to support SSL version 2 and 3. It can run out of
inetd. It can also encrypt data for services located on another computer.

It works with the servers you already have, and does not require any
modifications to your existing servers.

#%description -l de
#%description -l fr
#%description -l tr

%prep
%setup -n sslwrap%{VER}
%patch0 -p1 -b .ssleayloc

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m644 sslwrap \
	$RPM_BUILD_ROOT/usr/sbin
strip $RPM_BUILD_ROOT/usr/sbin/sslwrap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs.html
/usr/sbin/sslwrap

%changelog
* Wed Dec 09 1998 Jason Spangler <stormwind@wombatgames.com>
- made initial RPM

